version: '3'

networks:
  kong-net:
    name: kong-net

services:
  rabbitmq.planblick.svc:
    image: registry.gitlab.com/planblick_os/backends/rabbitmq:latest
    restart: on-failure
    healthcheck:
      test: rabbitmq-diagnostics -q ping
      interval: 10s
      timeout: 60s
      retries: 12
    environment:
      - RABBITMQ_DEFAULT_USER=${RABBITMQ_DEFAULT_USER}
      - RABBITMQ_DEFAULT_PASS=${RABBITMQ_DEFAULT_PASS}
      - ENVIRONMENT=${ENVIRONMENT}
    stdin_open: true
    tty: true
    networks:
      - kong-net
    ports:
      - "15672:15672"
      - "5672:5672"

  queue-manager.planblick.svc:
    build: .
    image: queue-manager
    environment:
      - APIGATEWAY_ADMIN_INTERNAL_BASEURL=${APIGATEWAY_ADMIN_INTERNAL_BASEURL}
      - INTERNAL_API_BASE_URL=https://kong.planblick.svc:8001
      - MQ_HOST=rabbitmq.planblick.svc
      - MQ_USERNAME=${RABBITMQ_DEFAULT_USER}
      - MQ_PASSWORD=${RABBITMQ_DEFAULT_PASS}
      - MQ_PORT=5672
      - MQ_VHOST=/
    healthcheck:
      test: [ "CMD-SHELL", "wget -O /dev/null -o /dev/null http://127.0.0.1:8000/healthz" ]
      interval: 10s
      timeout: 10s
      retries: 12
    restart: always
    networks:
      - kong-net
    stdin_open: true
    tty: true
    ports:
    - "8002:8000"
    volumes:
    - ./src/app:/src/app